Bug 492341 - anacron report weekly warning
anacron report weekly warning
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-26 11:01 EDT by Nicolas Chauvet (kwizart)
Modified: 2009-06-15 22:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6f-20.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-15 22:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
man pages from kwizatz (748.88 KB, text/plain)
2009-04-24 11:07 EDT, Nicolas Chauvet (kwizart)
no flags Details

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-03-26 11:01:23 EDT
Description of problem:
root@localhost receives weekly report of anacron about:

/usr/sbin/makewhatis: line 219: [: too many arguments
/usr/sbin/makewhatis: line 222: [: too many arguments

The makewhatis script produces a warning within the utft8 conversion loop

Version-Release number of selected component (if applicable):


How reproducible: weekly

Steps to Reproduce:
1. on more than a week Fedora installation
2. run mail as root
Actual results:
A weekly report is made showing that those if conditions are

Expected results:
I don't know if any report is expected once the command doesn't have any error

Additional info: I'm using the default bash shell.

On the other hand, as a a Fedora Packager, I really take care about man pages been utf8 already... So I hope no undeeded conversion is done by makewhatis in this area; which would lead to CPU consumption waste. If some man pages remains notuft8 within the fedora packages collection, let's use this bug as a tracker and warn maintainers to convert theirs packages.
Then the utf8 conversion step could eventually be avoided from makewhatis. (either by default or by option).
Comment 1 Ivana Varekova 2009-03-27 04:08:54 EDT
can you please add line
set -x
as the second line of makewhatis script (after #!/bin/bash, before the commented lines)
and start makewhatis script using cron (set it in /etc/cron.d a new job which runs soon to have feedback faster - and after the run of the job remove it) or wait to regular output.
The output now will contain a lot of debug information so it will be realy large, please attach the e-mail here (or it is sufficient to have only lines relevant to the problem here).
Comment 2 Ivana Varekova 2009-04-15 07:57:40 EDT
Comment 3 Nicolas Chauvet (kwizart) 2009-04-17 06:48:21 EDT
I wasn't abble to reproduce the problem when -x is set.
Once that said, on a newly setup system the problem is raised again.
Comment 4 Ivana Varekova 2009-04-17 07:23:33 EDT
And are you able to reproduce the problem with set -x on the new system? (What precisely are the results?)
Comment 5 Lubomir Rintel 2009-04-21 00:42:03 EDT
man-1.6f-18.fc11 no longer contains the offending code since it was redundant. (It still does the utf8 check later on, not changing the functionality).

Nicolas: I'm wondering which manual page could cause this (seems like a shell bug to me). Please attach output of "find /usr/share/man". Thanks!
Comment 6 Nicolas Chauvet (kwizart) 2009-04-24 11:07:53 EDT
Created attachment 341186 [details]
man pages from kwizatz

Some package may only be available from other third party repository.
Comment 7 Nicolas Chauvet (kwizart) 2009-05-07 11:35:52 EDT
man-1.6f-18.fc11 hasn't be requested for rel-eng, does it would be interesting to have it? or the problem might be elsewhere ?
Comment 8 Simon Vallet 2009-05-27 11:42:43 EDT
We're observing the exact same behaviour here.

Running with 'set -x' yields the following :

+ '[' '/usr/share/man/fr/man8/ld-linux.so*.8' '!=' '/usr/share/man/fr/man8/ld-linux.so*.8.gz' /usr/share/man/fr/man8/ld-linux.so.8.gz ']'
/usr/sbin/makewhatis: line 220: [: too many arguments

+ '[' '/usr/share/man/fr/man8/ld-linux.so*.8.gz' /usr/share/man/fr/man8/ld-linux.so.8.gz '!=' '/usr/share/man/fr/man8/ld-linux.so*.8.gz' /usr/share/man/fr/man8/ld-linux.so.8.gz ']'
/usr/sbin/makewhatis: line 223: [: too many arguments

Comment 9 Ivana Varekova 2009-06-02 07:23:31 EDT
Lubomir is right the code he removes the code in his update to fixed in man-1.6f-18.fc11. It will be pushed to update repository soon.
Comment 10 Fedora Update System 2009-06-02 09:31:15 EDT
man-1.6f-20.fc11 has been submitted as an update for Fedora 11.
Comment 11 Fedora Update System 2009-06-04 17:11:45 EDT
man-1.6f-20.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update man'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5839
Comment 12 Lubomir Rintel 2009-06-06 16:13:32 EDT
[lkundrak@bimbo devel]$ rpm -qf /usr/share/man/fr/man8/ld-linux.so\*.8.gz

An e-mail message was sent to the package maintainer of man-pages-fr as well as upstream. There's no need to get rid of that file name in Fedora now since it no longer seems to cause any sort of trouble with new man package.
Comment 13 Fedora Update System 2009-06-15 22:30:15 EDT
man-1.6f-20.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.